Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface RequiresResize

All Known Implementing Classes:
  CellBrowser, CustomScrollPanel, DataGrid, DeckLayoutPanel, DockLayoutPanel, HeaderPanel, LayoutPanel, ResizeComposite, RootLayoutPanel, ScrollPanel, SimpleLayoutPanel, SplitLayoutPanel, StackLayoutPanel, TabLayoutPanel

    public interface RequiresResize

This interface designates that its implementor needs to be informed whenever its size is modified.

Widgets that implement this interface should only be added to those that implement `ProvidesResize`. Failure to do so will usually result in `onResize()` not being called.

Method Summary
`void` | `onResize()` This method must be called whenever the implementor's size has been modified.

Method Detail

### onResize

    void onResize()

  This method must be called whenever the implementor's size has been modified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD